Loading...
Searching...
No Matches
CSpecialPairCacheHash Class Reference

`#include <ncSACache.h>`

## Public Types

typedef int | CExponent
Public Types inherited from CCacheHash< int >
enum | EHistoryType

## Public Member Functions

| CSpecialPairCacheHash (ring r)
virtual | ~CSpecialPairCacheHash ()
Public Member Functions inherited from CCacheHash< int >
| CCacheHash (ring r)
ring | GetBasering () const
int | NVars () const
virtual | ~CCacheHash ()
int | LookupEE (int a, int b, CCacheItem *&pItems)
bool | StoreEE (int a, int b, poly pProduct)
virtual void | History (const EHistoryType, const int, const int, const poly=NULL)

## Protected Member Functions

virtual void | History (const EHistoryType t, const CExponent a, const CExponent b, const poly p=NULL)

## Detailed Description

Definition at line 112 of file ncSACache.h.

## Member Typedef Documentation

## CExponent

typedef int CSpecialPairCacheHash::CExponent

Definition at line 115 of file ncSACache.h.

## Constructor & Destructor Documentation

## CSpecialPairCacheHash()

CSpecialPairCacheHash::CSpecialPairCacheHash | ( | ring | r | ) |

inline

Definition at line 117 of file ncSACache.h.

: CCacheHash<int>(r) {};
CCacheHash< int >::CCacheHash
CCacheHash(ring r)
Definition ncSACache.h:23

## ~CSpecialPairCacheHash()

virtual CSpecialPairCacheHash::~CSpecialPairCacheHash | ( |  | ) |

inline virtual

Definition at line 119 of file ncSACache.h.

{};

## Member Function Documentation

## History()

void CSpecialPairCacheHash::History | ( | const EHistoryType | t,
|  | const CExponent | a,
|  | const CExponent | b,
|  | const poly | p = NULL )

protected virtual

Definition at line 61 of file ncSACache.cc.

{
#if OUTPUT
Print("History: SpecialPair, Action: %s", m_Typenames[(int)(t)]);
PrintLn();
Print("Left : %d, Right: %d", a, b);
PrintLn();
if( t == MULT_STORE )
{
PrintS("Result: "); p_Write(p, GetBasering());
}
#endif
}
p
int p
Definition cfModGcd.cc:4086
b
CanonicalForm b
Definition cfModGcd.cc:4111
CCacheHash< int >::MULT_STORE
@ MULT_STORE
Definition ncSACache.h:33
CCacheHash< int >::GetBasering
ring GetBasering() const
Definition ncSACache.h:25
Print
#define Print
Definition emacs.cc:80
p_Write
void p_Write(poly p, ring lmRing, ring tailRing)
Definition polys0.cc:342
PrintS
void PrintS(const char *s)
Definition reporter.cc:288
PrintLn
void PrintLn()
Definition reporter.cc:314

The documentation for this class was generated from the following files:

- libpolys/polys/nc/ncSACache.h
- libpolys/polys/nc/ncSACache.cc